Post Package Data For Delivery Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"TrackingID": "<string>",
"ShippedDate": "2023-11-07T05:31:56Z",
"Comment": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/packages"
payload = [
{
"TrackingID": "<string>",
"ShippedDate": "2023-11-07T05:31:56Z",
"Comment": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
TrackingID: '<string>',
ShippedDate: '2023-11-07T05:31:56Z',
Comment: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"PackageDate": "2023-11-07T05:31:56Z",
"TrackingID": "<string>",
"Weights": 123,
"ShippingMethodId": 123,
"ShippedDate": "2023-11-07T05:31:56Z",
"TrackingUrl": "<string>",
"Comment": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Delivery Note
Post Package Data For Delivery Note
Transmit Package Data
POST
/
v1
/
deliveryNotes
/
{deliveryNoteId}
/
packages
Post Package Data For Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the delivery note.
Body
application/json
The Packages to Create
Response
Returns All packages that are created for the delivery note.
The id of the package.
The date when the package was created.
The tracking Id of the package.
The weight of the package.
The shipping method of the package.
The date when the package was shipped.
The tracking url of the package.
The comment of the package.
Was this page helpful?
⌘I